%define majver 228
%define minver 57
%define apiminver 21

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The IPW4965 binary firmware image
Name:      	firmware-iwlwifi-4965
Version:        %{majver}.%{minver}
Release:        1
Epoch:		1
Provides:	firmware-iwlwifi
License: 	GNU/GPL
URL:		http://intellinuxwireless.org/
Group:     	System/Configuration/Hardware
Source0: 	iwlwifi-4965-ucode-%{majver}.%{minver}.1.%{apiminver}.tgz	
Source1:        iwlwifi-4965-ucode-%{majver}.%{minver}.2.%{apiminver}.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The iwlwifi binary firmware image

%prep
%setup -q -c -T -a0 -a1

%install
pushd iwlwifi-4965-ucode-%{majver}.%{minver}.2.%{apiminver}
install -d -m 755 $RPM_BUILD_ROOT/lib/firmware
install -d -m 755 $RPM_BUILD_ROOT/usr/doc/iwlwifi
install -m 644  LICENSE.iwlwifi-4965-ucode $RPM_BUILD_ROOT/usr/doc/iwlwifi
install -m 644  README.iwlwifi-4965-ucode $RPM_BUILD_ROOT/usr/doc/iwlwifi
install -m 644  iwlwifi-4965-2.ucode $RPM_BUILD_ROOT/lib/firmware/iwlwifi-4965-2.ucode
popd
pushd iwlwifi-4965-ucode-%{majver}.%{minver}.1.%{apiminver}
install -m 644  iwlwifi-4965-1.ucode $RPM_BUILD_ROOT/lib/firmware/iwlwifi-4965-1.ucode
popd

%files
%defattr(-,root,root)
/lib/firmware/*
/usr/doc/iwlwifi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:228.57-1
- added ucode for -1 interface
- adapted versioning scheme
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 228.57.2.21-1
- version update
* Tue Oct 09 2007 Christian Metzen <metzench@ccux-linux.de> 4.77.17-3
- corrected filename
* Tue Oct 09 2007 Christian Metzen <metzench@ccux-linux.de> 4.77.17-2
- removed wrong obsoletes tag
* Tue Oct 09 2007 Christian Metzen <metzench@ccux-linux.de> 4.77.17-1
- Initial Release
